Getting Started

Getting Started

API

MCP Server

List Available Models

Returns all available 3D generation models with their public metadata.

Model aliases are the only identifiers exposed through the API. Internal provider and model details are never returned.

GET
/models

Authorization

BearerAuth

AuthorizationBearer <token>

API key with tr_ prefix, sent as Bearer token

In: header

Response Body

application/json

application/json

curl -X GET "https://trellis2.app/api/v1/models"
{
  "id": "models",
  "object": "list",
  "status": "completed",
  "created": 1723000000,
  "data": [
    {
      "id": "trellis2",
      "name": "Trellis2",
      "description": "Microsoft Trellis2 — balanced quality image-to-3D generation",
      "type": "3d",
      "capabilities": [
        "image-to-3d"
      ],
      "creditsCost": 10,
      "maxImageSize": "1024x1024",
      "maxImages": 1,
      "estimatedTime": "~60s"
    }
  ]
}
{
  "error": {
    "message": "string",
    "type": "string",
    "code": "string",
    "param": "string"
  }
}
curl -X GET "https://trellis2.app/api/v1/models"